mscorlib 4.0.0.0 ReferenceTypeConstraint System.Object System.Runtime.Serialization.ISerializable To be added.

A weak reference enables the garbage collector to collect an object while still allowing an application to access the object. If you need the object, you can obtain a strong reference to it and prevent it from being collected.

Represents a typed weak reference, which references an object while still allowing that object to be reclaimed by garbage collection.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Method
  4.0.0.0
  System.Void To be added.

  Discards the reference to the target that is represented by the current object.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Populates a object with all the data necessary to serialize the current object.

  An object that holds all the data necessary to serialize or deserialize the current object. The location where serialized data is stored and retrieved.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.